Bug 1294902 - Kernel crash in rawhide with kernel 4.4.0-0.rc6.git1.1.fc24.x86_64
Kernel crash in rawhide with kernel 4.4.0-0.rc6.git1.1.fc24.x86_64
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 16:29 EST by stan
Modified: 2016-01-12 16:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 16:54:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stan 2015-12-30 16:29:06 EST
Description of problem:  Logged in as root at console.  While examining a file with less, got kernel crash message.  X running, claws mail downloading messages.


Version-Release number of selected component (if applicable):
4.4.0-0.rc6.git1.1.fc24.x86_64

How reproducible:
I'm not sure.

Steps to Reproduce:
1. Run the latest kernel in a rawhide install while logged in to console
2.
3.

Actual results:
Noticed the crash 

Expected results:
No crash

Additional info:

[ 3594.057803]
[ 3594.057817] ===============================
92,1           Bot[ 3594.057832] [ INFO: suspicious RCU usage. ]
[ 3594.058378] 4.4.0-0.rc6.git1.1.fc24.x86_64 #1 Not tainted
[ 3594.058960] -------------------------------
[ 3594.059495] lib/rhashtable.c:522 suspicious rcu_dereference_protected() usage!
[ 3594.060099]
[ 3594.060099] other info that might help us debug this:
[ 3594.060099]
[ 3594.061794]
[ 3594.061794] rcu_scheduler_active = 1, debug_locks = 0
[ 3594.062976] 2 locks held by lsof/29487:
[ 3594.063561]  #0:  (&p->lock){+.+.+.}, at: [<ffffffff8129f39c>] seq_read+0x4c/0x3e0
[ 3594.064199]  #1:  (&(&ht->lock)->rlock){+.+...}, at: [<ffffffff8143fc1d>] rhashtable_walk_init+0x5d/0xf0
[ 3594.064848]
[ 3594.064848] stack backtrace:
[ 3594.066126] CPU: 2 PID: 29487 Comm: lsof Not tainted 4.4.0-0.rc6.git1.1.fc24.x86_64 #1
[ 3594.066780] Hardware name: To be filled by O.E.M. To be filled by O.E.M./M5A97 LE R2.0, BIOS 2501 04/09/2014
[ 3594.067491]  0000000000000000 000000001485dba8 ffff88030863bd08 ffffffff81427e09
[ 3594.068177]  ffff88033d820000 ffff88030863bd38 ffffffff81106a47 ffff88031d64dc08
[ 3594.068900]  ffff88042b68c000 ffff88042b68c160 ffff880035a38620 ffff88030863bd68
[ 3594.069607] Call Trace:
[ 3594.070345]  [<ffffffff81427e09>] dump_stack+0x4b/0x72
[ 3594.071085]  [<ffffffff81106a47>] lockdep_rcu_suspicious+0xd7/0x110
[ 3594.071805]  [<ffffffff8143fc9d>] rhashtable_walk_init+0xdd/0xf0
[ 3594.072578]  [<ffffffff8176e9f6>] netlink_walk_start+0x36/0x70
[ 3594.073362]  [<ffffffff8176ef75>] netlink_seq_start+0x25/0x60
[ 3594.074103]  [<ffffffff8129f4da>] seq_read+0x18a/0x3e0
[ 3594.074877]  [<ffffffff812f2032>] proc_reg_read+0x42/0x70
[ 3594.076000]  [<ffffffff81275b17>] __vfs_read+0x37/0x100
[ 3594.077447]  [<ffffffff8139dfc3>] ? security_file_permission+0xa3/0xc0
[ 3594.078925]  [<ffffffff81276629>] vfs_read+0x89/0x130
[ 3594.080396]  [<ffffffff812773a8>] SyS_read+0x58/0xd0
[ 3594.081888]  [<ffffffff818800f2>] entry_SYSCALL_64_fastpath+0x12/0x76
Comment 1 stan 2016-01-09 12:56:25 EST
I haven't seen this with later kernels.  Perhaps it was fixed?  If I continue without seeing this, I'll close the ticket.
Comment 2 stan 2016-01-12 16:54:19 EST
I'm not seeing it anymore, so I'm closing this ticket.

Note You need to log in before you can comment on or make changes to this bug.